// ValueView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CValueView view

#if !defined (CVALUEVIEW_H)
#	define CVALUEVIEW_H

class CValueView;

#include "childfrm.h"
#include "traceline.hpp"


class CValueView : public CView
{
protected:
	CValueView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CValueView)

// Attributes
public:
	CChildFrame *myParent;
	CDC *displayMemory;

	Logical windowActive;

// Operations
public:
	void Render(CRect placement);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CValueView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL


// Implementation
protected:
	virtual ~CValueView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CValueView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif
